Skip to main content
GET
/
identity
/
me
Get the caller's identity
curl --request GET \
  --url https://api.natural.co/identity/me \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "agt_019cd1798d657de5b5fed4198cb9fac0",
    "type": "identity",
    "attributes": {
      "actor": {
        "actorType": "AGENT",
        "credentialKind": "agent_key",
        "agentIdSource": "credential"
      },
      "party": {
        "partyId": "pty_019cd1798d617f65a79cb965dda9eac3",
        "displayName": "Natural",
        "handle": "@natural"
      },
      "actingFor": {
        "partyId": "pty_019cd1798d617f65a79cb965dda9eac3"
      },
      "agent": {
        "agentId": "agt_019cd1798d657de5b5fed4198cb9fac0",
        "name": "Procurement Agent",
        "handle": "@natural/procurement"
      },
      "permissions": [
        "payments.create",
        "payments.read",
        "wallets.read"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Response

Successful Response

data
IdentityMeResource · object
required